none
Exchange2010_SP2支持的最高JDK版本 RRS feed

  • General discussion

  • tomcat9、 jdk10.0.1这个环境下使用ews发送带附件的邮件不成功,

    tomcat9、jdk1.8.0_181使用ews发送带附件的邮件就是成功的。两种情况发送不带附件的邮件都成功。

    那么问题来了,exchange2010_sp2能完全支持的最高版本的jdk是多少?

    java邮件带附件的语句:

    for (int ii=0 ;ii<1;ii++){
         String filename=attachment.get(ii).toString().substring(attachment.get(ii).toString().lastIndexOf("/")+1, attachment.get(ii).toString().length());
         String filepath=attachment.get(ii).toString();
         File attachmentFile = new File(filepath);
            if (attachmentFile.exists()) {
             //我这里有问题,最后再解决20180928
             InputStream theStream = new FileInputStream(filepath);
             InputStreamReader StreamReader=new InputStreamReader(theStream,"UTF-8");
                // The streamed file attachment is named FourthAttachment.txt.
             msg.getAttachments().addFileAttachment(filename, theStream);
                System.out.println(filepath);
            }else {
       continue;
      }
        }

    使用插件版本:

    ews-java-api-2.0.jar

    httpclient-4.4.1.jar

    httpcore-4.4.1.jar

    • Moved by Manu Meng Monday, October 1, 2018 7:10 AM relocate
    Sunday, September 30, 2018 10:06 AM

All replies

  • 您好,

    该问题与Exchange开发有关,为了更好的解决它,我将把它移动到对应的论坛,同时,开发论坛暂时只对英文进行支持,我建议您再用英文描述一边您的问题。

    此致,

    敬礼

    Kyle Xu


    如果以上回复对您有所帮助,建议您将其“标记为答复”. 如果您对我们的论坛支持有任何的建议,可以通过此邮箱联系我们:tnsf@microsoft.com.

    点击了解更多,或者访问我们的专用论坛,与我们的技术专家一起分享探索 Microsoft Teams.

    Monday, October 1, 2018 7:09 AM